Bug 812642 - Wrong number of blocks in filesystem after resize of partition during installation
Wrong number of blocks in filesystem after resize of partition during install...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
16
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-15 12:49 EDT by Håkon Løvdal
Modified: 2013-02-13 09:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:02:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Anaconda installation log (14.19 KB, text/x-log)
2012-04-15 12:49 EDT, Håkon Løvdal
no flags Details
Anaconda installation log (235.66 KB, text/x-log)
2012-04-15 12:50 EDT, Håkon Løvdal
no flags Details
anaconda.storage.log (428.47 KB, text/x-log)
2012-04-15 12:51 EDT, Håkon Løvdal
no flags Details
anaconda.program.log (235.66 KB, text/x-log)
2012-04-15 12:51 EDT, Håkon Løvdal
no flags Details
anaconda.log (14.19 KB, text/x-log)
2012-04-15 12:52 EDT, Håkon Løvdal
no flags Details
partition-table-before.chart (2.18 KB, text/plain)
2012-04-15 12:53 EDT, Håkon Løvdal
no flags Details
partition-table-before.table (2.86 KB, text/plain)
2012-04-15 12:53 EDT, Håkon Løvdal
no flags Details
partition-table-after.chart (2.11 KB, text/plain)
2012-04-15 12:54 EDT, Håkon Løvdal
no flags Details
partition-table-after.table (3.55 KB, text/plain)
2012-04-15 12:55 EDT, Håkon Løvdal
no flags Details

  None (edit)
Description Håkon Løvdal 2012-04-15 12:49:46 EDT
Created attachment 577557 [details]
Anaconda installation log

While installing Fedora 16 I decreased the size of /dev/sda6 to make place for a new /dev/sda7 partition to install on. Somehow the number of blocks have been calculated slightly wrong (183 blocks difference). Trying to mount /dev/sda6 now gives the following error:

mount: wrong fs type, bad option, bad superblock on /dev/sda6,
       missing codepage or helper program, or other error
       In some cases useful info is found in syslog - try
       dmesg | tail  or so

and dmesg gives the following relevant line:

[  563.396085] EXT4-fs (sda6): bad geometry: block count 209714944 exceeds size of device (209714761 blocks)

Trying to run fsck on the device gives:

e2fsck 1.41.14 (22-Dec-2010)
The filesystem size (according to the superblock) is 209714944 blocks
The physical size of the device is 209714761 blocks
Either the superblock or the partition table is likely to be corrupt!
Abort<y>? yes


Anaconda logs attached as well as printouts of the partition table before and after installation.

Could this be caused by the disk being old, originally created with strict cylinder boundary partition layout while the new sda7 partition is not?
Comment 1 Håkon Løvdal 2012-04-15 12:50:28 EDT
Created attachment 577558 [details]
Anaconda installation log
Comment 2 Håkon Løvdal 2012-04-15 12:51:15 EDT
Created attachment 577559 [details]
anaconda.storage.log
Comment 3 Håkon Løvdal 2012-04-15 12:51:55 EDT
Created attachment 577560 [details]
anaconda.program.log
Comment 4 Håkon Løvdal 2012-04-15 12:52:28 EDT
Created attachment 577561 [details]
anaconda.log
Comment 5 Håkon Løvdal 2012-04-15 12:53:11 EDT
Created attachment 577562 [details]
partition-table-before.chart
Comment 6 Håkon Løvdal 2012-04-15 12:53:43 EDT
Created attachment 577563 [details]
partition-table-before.table
Comment 7 Håkon Løvdal 2012-04-15 12:54:21 EDT
Created attachment 577564 [details]
partition-table-after.chart
Comment 8 Håkon Løvdal 2012-04-15 12:55:04 EDT
Created attachment 577566 [details]
partition-table-after.table
Comment 9 Håkon Løvdal 2012-04-15 19:32:40 EDT
I compiled the latest git version of e2fsprogs, and running that proceeded with a normal scan through the file system (i.e. no warning of any inconsistencies at startup), and there were no indications of it fixing anything other than a message that lost+found was missing and that it created that (unfortunately I did not save a capture of this). Also running the default system fsck (version 1.41.14) produced the same result (minus lost+found, and that the disk now was considered clean so -f was needed).

However mounting the partition, there is no files.

(root) localhost:/mnt>fsck /dev/sda6
fsck from util-linux 2.20.1
e2fsck 1.41.14 (22-Dec-2010)
/dev/sda6: clean, 11/52428800 files, 3340824/209714761 blocks
(root) localhost:/mnt>mount /dev/sda6 sda6
(root) localhost:/mnt>ls -la sda6
total 24
drwxr-xr-x. 3 root root  4096 Apr 15 16:13 .
drwxr-xr-x. 5 root root  4096 Apr 15 18:20 ..
drwx------. 2 root root 16384 Apr 15 16:13 lost+found
(root) localhost:/mnt>umount sda6
(root) localhost:/mnt>/usr/src/hlovdal/e2fsprogs/build/e2fsck/e2fsck -f /dev/sda6
e2fsck 1.42.2 (9-Apr-2012)
Pass 1: Checking inodes, blocks, and sizes
Pass 2: Checking directory structure
Pass 3: Checking directory connectivity
Pass 4: Checking reference counts
Pass 5: Checking group summary information
/dev/sda6: 11/52428800 files (0.0% non-contiguous), 3340824/209714761 blocks
(root) localhost:/mnt>

So now all my data is gone. How do I proceed trying to recover? The issue with fsck as well as the kernel complaining happened when I was booting of the install CD (KDE spin) in case there is any difference. After that I booted of sda7 and downloaded and build e2fsprogs.
Comment 10 Fedora End Of Life 2013-01-16 08:18:07 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora End Of Life 2013-02-13 09:02:23 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.